import { ReturnValues } from './types.js'
import { list, map, noCaseString, seq, skip } from '../parser.js'
import { value, Symbol, ws } from './common.js'

const keyword = noCaseString('return')

//const params = map(
//  values => new ReturnValues(values),
//  seq(list(seq(Symbol.Comma, ws), alias))
//)

const params = seq(list(seq(ws, Symbol.Comma, ws), value))

export const statement = seq(skip(keyword), ws, params)

