import { tap } from 'node:test/reporters'
import { run } from 'node:test'
import path from 'node:path'

run({ files: [path.resolve('./tests/query/use.js')] })
	.on('test:fail', () => {
		process.exitCode = 1
	})
	.compose(tap)
	.pipe(process.stdout)
